\begin{lstlisting}[language=json,firstnumber=1,escapeinside=``,caption={JSON with confused keyslots type},captionpos=b,label={lst:json_keyslots}]
{
    "keyslots": [],
    "digests": {},
    "segments": {
        ...
    },
    "tokens": {},
    "config": {
        ...
    }
}
\end{lstlisting}
